%define src_ver 2.4
%define languagelocal brazilian
%define languageeng pt_BR
%define languagecode pt_BR

Summary: 	Brazilian Portuguese files for ispell
Name: 		ispell-%{languagecode} 
Version: 	2.4
Release: 	7mdk
URL: 		http://www.ime.usp.br/~ueda/br.ispell/summary.html
Source:         http://www.ime.usp.br/~ueda/br.ispell/br.ispell-%{src_ver}.tar.bz2
Copyright: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-pt
Requires: ispell
Provides: ispell-dictionary

%description
ispell-pt_BR has the spelling data for Brazilian Portuguese which is used
by the ispell program. With this extension, you can compose a document
in Brazilian Portuguese and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc.

%prep
%setup -n br.ispell-%{src_ver}
make v.ispell
cat v.ispell E.ispell|sort|uniq > %{languagelocal}.hash
mv -f br.aff %{languagelocal}.aff

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc COPYING README*
%{_libdir}/ispell/*

%changelog
* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-7mdk
- Small fix to the spec, no output on buildhash.

* Wed Aug 23 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-6mdk
- Change locales from locales-pt_BR to locales-pt.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-5mdk
- Cleaned up the spec, split in ispell-pt and ispell-pt_BR and moved both to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-4mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Mon Nov 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.
